using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.DTO.CMSStatistic
{
    /// <summary>
    /// 公告内容
    /// 后台编辑公告对象
    /// </summary>
    public class AnnouncementInfoDTO
    {
        /// <summary>
        ///  公告内容编码
        /// </summary>
        /// <value>Announcement_1233</value>
        public string AnnouncementCode { get; set; }

        /// <summary>
        /// 公告类型
        ///【广播】 
        /// </summary>
        /// <value>0</value>
        public AnnouncementTypeEnum AnnouncementType { get; set; }
        /// <summary>
        /// 公告内容时间
        /// 2022-11-20 09:00
        /// </summary>
        /// <value>2022-11-20 09:00</value>
        public DateTime ContentTime { get; set; }

        /// <summary>
        /// 公告内容
        /// </summary>
        /// <value>航天医科入驻杏聆荟！</value>
        public string Content { get; set; }

        /// <summary>
        /// 公告内容已读用户列表
        /// </summary>
        /// <value></value>
        public IList<AnnouncementUserInfoDTO> UserInfoList  { get; set; }

        /// <summary>
        ///组织编码集合
        ///是否只发布选定组织内的成员发布公告
        /// </summary>
        /// <value></value>
        public IList<string> OrganizationCodes  { get; set; }

        /// <summary>
        /// 公告状态
        /// 已发布 未发布 
        /// </summary>
        /// <value>0</value>
        public AnnouncementStatusEnum AnnouncementStatus { get; set; }

        /// <summary>
        /// 发布内容的语言
        /// </summary>
        /// <value>zh-CN</value>
        public string LanguageCode { get; set; }
    }

    /// <summary>
    /// 公告用户内容
    /// </summary>
    public class AnnouncementUserInfoDTO
    {
        /// <summary>
        /// 公告已读未读状态
        /// </summary>
        /// <value>UnRead</value>
        public CMSMessageStatusEnum Status { get; set; }

        /// <summary>
        /// 用户编码
        /// </summary>
        /// <value>User_123</value>
        public string UserCode { get; set; }
    }
}