using System;
using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Common;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.DTO.Consultation
{
    /// <summary>
    /// 会诊图像信息
    /// </summary>
    public class ConsultationFileBaseDTO
    {
        /// <summary>
        /// 源文件地址
        /// </summary>
        /// <value>http://****</value>
        public string SourceUrl { get; set; } = string.Empty;

        /// <summary>
        /// 缩略图地址
        /// </summary>
        /// <value>http://****</value>
        public string PreviewImageUrl { get; set; } = string.Empty;

        /// <summary>
        /// 海报图地址
        /// </summary>
        /// <value>http://****</value>
        public string CoverImageUrl { get; set; } = string.Empty;

        /// <summary>
        /// 文件数据类型
        /// </summary>
        /// <value>0</value>
        public RemedicalFileDataTypeEnum FileDataType { get; set; }
    }

    /// <summary>
    /// 会诊图像展示信息
    /// </summary>
    public class ConsultationFileDTO
    {
        /// <summary>
        /// 源文件地址
        /// </summary>
        /// <value>http://****</value>
        public string SourceUrl { get; set; } = string.Empty;

        /// <summary>
        /// 缩略图地址
        /// </summary>
        /// <value>http://****</value>
        public string PreviewImageUrl { get; set; } = string.Empty;

        /// <summary>
        /// 海报图地址
        /// </summary>
        /// <value>http://****</value>
        public string CoverImageUrl { get; set; } = string.Empty;
        /// <summary>
        /// 创建时间
        /// </summary>
        /// <value></value>
        public DateTime CreateTime { get; set; }
        /// <summary>
        /// 创建人
        /// </summary>
        /// <value></value>
        public string CreatorCode { get; set; }
        /// <summary>
        /// 文件数据类型
        /// </summary>
        /// <value>0</value>
        public RemedicalFileDataTypeEnum FileDataType { get; set; }
    }
}