using System;
using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Common;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.LiveConsultation;

namespace WingInterfaceLibrary.DTO.LiveRoom
{
    /// <summary>
    /// 会诊成员信息
    /// </summary>
    public class LiveMemberDTO
    {
        /// <summary>
        /// 设备/用户编码
        /// </summary>
        /// <value>UserDO_123456789</value>
        public string Code { get; set; } = string.Empty;

        /// <summary>
        /// 成员类型
        /// </summary>
        /// <value>1</value>
        public LiveMemberEnum MemberType { get; set; }

        /// <summary>
        /// 设备/用户姓名
        /// </summary>
        /// <value>刘医生</value>
        public string Name { get; set; } = string.Empty;

        /// <summary>
        /// 头像
        /// </summary>
        /// <value></value>
        public string HeadImageToken { get; set; }
        
        /// <summary>
        /// 状态
        /// </summary>
        public LiveConsultationMemberStatus Status { get; set; }

        /// <summary>
        /// 是否静音
        /// </summary>
        /// <value>false</value>
        public bool MuteOpened { get; set; } = false;

        /// <summary>
        /// 是否开启视频
        /// </summary>
        /// <value>false</value>
        public bool VideoOpened {get;set;}

        /// <summary>
        /// 连接服务器地址
        /// </summary>
        /// <value>http://api2.flyinsono.com/</value>
        public string LoginServerHost { get; set; } = string.Empty;

        /// <summary>
        /// 直播信息
        /// </summary>
        /// <value></value>
        public LiveDataDTO LiveData { get; set; }
    }
}