using System;
using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Common;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.DTO.LiveRoom
{
    /// <summary>
    /// 房间信息
    /// </summary>
    public class LiveRoomDTO
    {
        /// <summary>
        /// 房间编码
        /// </summary>
        /// <value>fb6414d24e3c347d46032b0496f1c4e4</value>
        public string LiveRoomCode { get; set; } = string.Empty;

        /// <summary>
        /// 关联业务编码
        /// </summary>
        /// <value>rb6414d24e3c347d46032b0496f1c4e4</value>
        public string RelatedCode { get; set; } = string.Empty;

        /// <summary>
        /// 发起人编码
        /// </summary>
        /// <value>ub6414d24e3c347d46032b0496f1c4e4</value>
        public string InitiatorCode { get; set; } = string.Empty;

        /// <summary>
        /// 整型房间号
        /// </summary>
        /// <value>7001</value>
        public int IntegerRoomId { get; set; }

        /// <summary>
        /// 业务类型
        /// </summary>
        /// <value>1</value>
        public BusinessModuleEnum BusinessModule { get; set; }

        /// <summary>
        /// 最后解散时间
        /// </summary>
        /// <value></value>
        public DateTime? LastEndTime { get; set; }

        /// <summary>
        /// 已接入设备集合
        /// </summary>
        /// <value></value>
        public List<LiveMemberDTO> DeviceInfos { get; set; } = new List<LiveMemberDTO>();

        /// <summary>
        /// 已接入客户端用户集合
        /// </summary>
        /// <value></value>
        public List<LiveMemberDTO> UserInfos { get; set; } = new List<LiveMemberDTO>();
    }
}