namespace WingInterfaceLibrary.Enum
{
    /// <summary>
    /// 会诊状态
    /// </summary>
    /// <enumDocFirstDirectory>枚举代码</enumDocFirstDirectory>
    /// <remarks>名称|代码 | 会诊状态描述</remarks>
    public enum ConsultationStatusEnum
    {
        /// <summary>
        ///Applied| 1 |已申请
        /// </summary>
        Applied = 1,

        /// <summary>
        ///Withdrawn| 2 |已撤回 
        /// </summary>
        Withdrawn = 2,

        /// <summary>
        ///Rejected| 3 |已拒绝  
        /// </summary>
        Rejected = 3,

        /// <summary>
        ///ToStart| 4 |待开始（即申请已同意）
        /// </summary>
        ToStart = 4,

        /// <summary>
        /// InProgress|5 |进行中
        /// </summary>
        InProgress = 5,

        /// <summary>
        /// PendingReport|6 | 待报告 
        /// </summary>
        PendingReport =6,

        /// <summary>
        ///End| 7 | 已结束（即会诊报告已提交）
        /// </summary>
        End = 7,

    }

    /// <summary>
    /// 查询会诊状态
    /// </summary>
    /// <enumDocFirstDirectory>枚举代码</enumDocFirstDirectory>
    /// <remarks>名称|代码 | 会诊状态描述</remarks>
    public enum QueryConsultationStatusEnum
    {        
        /// <summary>
        ///Applied| 1 |已申请
        /// </summary>
        All = 0,

        /// <summary>
        ///Applied| 1 |已申请
        /// </summary>
        Applied = 1,

        /// <summary>
        ///Withdrawn| 2 |已撤回 
        /// </summary>
        Withdrawn = 2,

        /// <summary>
        ///Rejected| 3 |已拒绝  
        /// </summary>
        Rejected = 3,

        /// <summary>
        ///ToStart| 4 |待开始（即申请已同意）
        /// </summary>
        ToStart = 4,

        /// <summary>
        /// InProgress|5 |进行中
        /// </summary>
        InProgress = 5,

        /// <summary>
        /// PendingReport|6 | 待报告 
        /// </summary>
        PendingReport =6,

        /// <summary>
        ///End| 7 | 已结束（即会诊报告已提交）
        /// </summary>
        End = 7
    }
}