namespace WingInterfaceLibrary.Enum.NotificationEnum
{
    /// <summary>
    /// 通知消息枚举类型
    /// </summary>
    /// <enumDocFirstDirectory>枚举代码</enumDocFirstDirectory>
    /// <remarks>名称|代码 | 文件类型描述</remarks>
    public enum NotificationTypeEnum
    {
        /// <summary>
        /// ChatMsgNotification|1| 聊天通知
        /// </summary>
        ChatMsgNotification = 1,

        /// <summary>
        /// TokenReplacedNotification|2| 账号被替换登出通知
        /// </summary>
        TokenReplacedNotification = 2,

        /// <summary>
        /// DisconnectNotification| 3|与服务器断开连接通知
        /// </summary>
        DisconnectNotification = 3,

        /// <summary>
        /// ConnectionNotification| 4|	与服务器已连接通知
        /// </summary>
        ConnectionNotification = 4,
        
        /// <summary>
        /// ExamRecordsFinishedNotification| 5 | 完成检查通知
        /// </summary>
        ExamRecordsFinishedNotification = 5,

        /// <summary>
        /// RejectApplyConsultationNotification| 6 | 拒绝申请会诊通知
        /// </summary>
        RejectApplyConsultationNotification = 6,

        /// <summary>
        /// CancelInvitingInLiveConsultationNotification| 7 | 取消会诊过程中邀请成员的通知
        /// </summary>
        CancelInvitingInLiveConsultationNotification = 7,

        /// <summary>
        /// InviteInLiveConsultationNotification| 8 | 会诊过程中邀请成员的通知
        /// </summary>
        InviteInLiveConsultationNotification = 8,

        /// <summary>
        /// InviteInLiveConsultationNotification| 9 | 会诊提醒通知
        /// </summary>
        ConsultationRemindNotification = 9,

        /// <summary>
        /// PasswordExpiredWarningNotification| 10 | 用户密码过期预警通知
        /// </summary>
        PasswordExpiredWarningNotification = 10,

        /// <summary>
        /// InviteLiveConsultationNotification| 11 | 开始会诊的通知
        /// </summary>
        InviteLiveConsultationNotification = 11,

        /// <summary>
        /// AcceptLiveConsultationNotification| 12 | 接受会诊的通知
        /// </summary>
        AcceptLiveConsultationNotification = 12,

        /// <summary>
        /// RejectLiveConsultationNotification| 13 | 拒绝会诊的通知
        /// </summary>
        RejectLiveConsultationNotification = 13,
    }
}