using System.Threading.Tasks;
using WingInterfaceLibrary.DB.Request;
using WingInterfaceLibrary.Result.Record;
using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Record;
using WingInterfaceLibrary.Request.Examine;
using WingInterfaceLibrary.Result;
using WingInterfaceLibrary.Request.DBRequest;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.DTO.Report;
using WingInterfaceLibrary.DTO.ReportTemplate;
using WingInterfaceLibrary.Request.Management;
using WingInterfaceLibrary.Request.Report;
using WingInterfaceLibrary.DTO.Statistic;
using WingInterfaceLibrary.Request.DBRequest;

namespace WingInterfaceLibrary.Interface.DBInterface
{
    /// <summary>
    /// 统计数据DB
    /// </summary>
    public interface IStatisticDBService
    {
        /// <summary>
        /// 查询统计配置集合
        /// </summary>
        /// <returns></returns>
        Task<IList<StatisticDTO>> GetStatisticAsync(GetStatisticDBRequest request);

        /// <summary>
        /// 保存统计结果
        /// </summary>
        /// <returns></returns>
        Task<bool> SaveStatisticRecordAsync(SaveStatisticRecordDBRequest request);

        /// <summary>
        /// 用户编码查询统计结果
        /// </summary>
        /// <returns></returns>
        Task<StatisticRecordDTO> GetStatisticRecordsDBByUserAsync(GetStatisticRecordsDBByUserRequest request);

        // /// <summary>
        // /// 查询已过期的统计数据
        // /// </summary>
        // /// <returns></returns>
        // Task<IList<StatisticRecordDTO>> GetExpiredRecordsAsync(GetExpiredRecordsDBRequest request);

        /// <summary>
        /// 删除统计数据
        /// </summary>
        /// <returns></returns>
        Task<bool> DeleteStatisticRecordAsync(DeleteStatisticRecordDBRequest request);

        // /// <summary>
        // /// 我的待办
        // /// </summary>
        // /// <returns></returns>
        // Task<StatisticInfoDTO> GetUserActivateLogStatisticAsync(GetUserActivateLogStatisticDBRequest request);
    }
}