using WingInterfaceLibrary.Enum.NotificationEnum;
using WingInterfaceLibrary.Request;

namespace WingInterfaceLibrary.LiveConsultation.Consultation
{
    public class AcceptInvitationRequest : TokenRequest
    {
        /// <summary>
        /// 会诊编码
        /// </summary>
        /// <value></value>
        public string ConsultationRecordCode { get; set; }

        /// <summary>
        /// 是否同意
        /// </summary>
        /// <value></value>
        public bool IsAgree { get; set; }

        /// <summary>
        /// 拒绝原因
        /// </summary>
        /// <value></value>
        public string RefusalCause { get; set; }
    }

    /// <summary>
    /// 会诊提醒通知
    /// </summary>
    public class ConsultationRemindNotification
    {

        /// <summary>
        /// 通知类型枚举 取消会诊提醒通知
        /// </summary>
        /// <value>1</value>
        public NotificationTypeEnum NotificationType => NotificationTypeEnum.ConsultationRemindNotification;

        /// <summary>
        /// 会诊编码
        /// </summary>
        /// <value>ConsultationDO_123456789</value>
        public string ConsultationCode { get; set; } = string.Empty;

        /// <summary>
        /// 倒计时间(分钟)
        /// </summary>
        /// <value></value>
        public int CountdownTime { get;set;} = 0;
    }
}