using WingInterfaceLibrary.Enum;
using System.Collections.Generic;
using WingInterfaceLibrary.LiveConsultation.Enums;
using WingInterfaceLibrary.DTO.Consultation;
using WingInterfaceLibrary.Request;
namespace WingInterfaceLibrary.LiveConsultation.Consultation
{
    /// <summary>
    /// 发送互动白板数据请求
    /// </summary>
    public class SendInteractiveBoardDataRequest : TokenRequest
    {

        /// <summary>
        /// 笔迹颜色
        /// </summary>
        /// <value></value>
        public string InkColor{ get; set; }

        /// <summary>
        /// 笔迹粗细
        /// </summary>
        /// <value></value>
        public double InkThickness{ get; set; }

        /// <summary>
        /// 白板操作点集合
        /// </summary>
        /// <value></value>
        public IList<BoardPointDTO> Points{ get; set; }

        /// <summary>
        /// 白板编辑状态
        /// </summary>
        /// <value></value>
        public BoardTypeEnum  BoardEditType { get; set; }

        /// <summary>
        /// 会诊编码
        /// </summary>
        /// <value>ConsultationDO_123456789</value>
        public string ConsultationCode { get; set; } = string.Empty;
    }
}