using WingInterfaceLibrary.Request;
using System.Collections.Generic;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.Enum.NotificationEnum;

namespace WingInterfaceLibrary.LiveConsultation
{
    public class InitiateLiveConsultationRequest : TokenRequest
    {
        /// <summary>
        /// 会诊编码
        /// </summary>
        /// <value>ConsultationDO_123456789</value>
        public string ConsultationCode { get; set; } = string.Empty;
    }

    public class InitiateLiveConsultationResult
    {
        /// <summary>
        /// 会诊编码
        /// </summary>
        /// <value>ConsultationDO_123456789</value>
        public string ConsultationCode { get; set; } = string.Empty;

        /// <summary>
        /// 发起人编码
        /// </summary>
        /// <value>UserDO_123456789</value>
        public string InitiatorCode { get; set; } = string.Empty;

        /// <summary>
        /// Room No. 
        /// </summary>
        /// <value></value>
        public int RoomNo { get; set; }

        /// <summary>
        /// Sdk app id
        /// </summary>
        /// <value></value>
        public int AppId { get; set; }

        /// <summary>
        /// User sign for rtc
        /// </summary>
        /// <value>123456</value>
        public string UserSign { get; set; } = string.Empty;

        public IList<LiveConsultationMember> UserLiveDatas { get; set; }

        public IList<LiveConsultationMember> DeviceLiveDatas { get; set; }
    }

    public class InviteLiveConsultationNotification
    {
        /// <summary>
        /// 通知类型枚举 开始会诊的通知
        /// </summary>
        /// <value>25</value>
        public NotificationTypeEnum NotificationType => NotificationTypeEnum.InviteLiveConsultationNotification;

        /// <summary>
        /// 会诊编码
        /// </summary>
        /// <value>ConsultationDO_123456789</value>
        public string ConsultationCode { get; set; } = string.Empty;

        /// <summary>
        /// Room integer No 
        /// </summary>
        /// <value></value>
        public int RoomNo { get; set; }

        /// <summary>
        /// The diagonosis meeting initiator
        /// </summary>
        /// <value></value>
        public LiveConsultationMember Initiator { get; set; }

        public IList<LiveConsultationMember> UserLiveDatas { get; set; }

        public IList<LiveConsultationMember> DeviceLiveDatas { get; set; }
    }

}
