using WingInterfaceLibrary.Request;

namespace WingInterfaceLibrary.LiveConsultation
{
    public class JoinLiveConsultationRequest : TokenRequest
    {
        /// <summary>
        /// 会诊编码
        /// </summary>
        /// <value>ConsultationDO_123456789</value>
        public string ConsultationCode { get; set; } = string.Empty;
        
        /// <summary>
        /// The id of who join the diagnosis metting id
        /// </summary>
        /// <value></value>
        public string JoinerCode {get;set;}
    }

    public class JoinLiveConsultationResult    
    {        
        /// <summary>
        /// 会诊编码
        /// </summary>
        /// <value>ConsultationDO_123456789</value>
        public string ConsultationCode { get; set; } = string.Empty;
    }

    public class JoinLiveConsultationNotification
    {
        /// <summary>
        /// 会诊编码
        /// </summary>
        /// <value>ConsultationDO_123456789</value>
        public string ConsultationCode { get; set; } = string.Empty;
        
        /// <summary>
        /// The info of who join the diagnosis metting 
        /// </summary>
        /// <value></value>
        public LiveConsultationJoinerInfo Joiner {get;set;}
    }
}
