using WingInterfaceLibrary.Request;
using System.Collections.Generic;

namespace WingInterfaceLibrary.LiveConsultation
{
    public class LeaveLiveConsultationRequest : TokenRequest
    {
         /// <summary>
        /// The diagnosis metting No.
        /// </summary>
        /// <value></value>
        public string ConsultationCode {get;set;}
        
        /// <summary>
        /// The id of who leave the diagnosis metting 
        /// </summary>
        /// <value></value>
        public string LeaverCode {get;set;}
    }

    public class LeaveLiveConsultationResult
    {        
        /// <summary>
        /// 会诊编码
        /// </summary>
        /// <value>ConsultationDO_123456789</value>
        public string ConsultationCode { get; set; } = string.Empty;
    }

    public class LeaveLiveConsultationNotification
    {
        /// <summary>
        /// 会诊编码
        /// </summary>
        /// <value>ConsultationDO_123456789</value>
        public string ConsultationCode { get; set; } = string.Empty;
        
        /// <summary>
        /// The id of who leave the diagnosis metting 
        /// </summary>
        /// <value></value>
        public LiveConsultationLeaverInfo LeaverInfo {get;set;}
    }
}
