using WingInterfaceLibrary.Enum;
namespace WingInterfaceLibrary.LiveConsultation
{

    public class LiveConsultationMember
    {
        /// <summary>
        /// User or device Id
        /// </summary>
        /// <value></value>
        public string Id {get;set;}
        
        /// <summary>
        /// User or device name
        /// </summary>
        /// <value></value>
        public string Name {get;set;}

        /// <summary>
        /// 成员类型
        /// </summary>
        /// <value>1</value>
        public LiveMemberEnum MemberType { get; set; }

        /// <summary>
        /// 头像
        /// </summary>
        /// <value></value>
        public string HeadImageToken { get; set; }
        
        /// <summary>
        /// 是否在线
        /// </summary>
        /// <value></value>
        public bool IsOnline {get;set;}
        
        /// <summary>
        /// 是否静音
        /// </summary>
        /// <value></value>
        public bool Mute {get;set;}

        /// <summary>
        /// 是否开启视频
        /// </summary>
        /// <value></value>
        public bool VideoOpend {get;set;}

        /// <summary>
        /// 是否会诊发起人
        /// </summary>
        /// <value></value>
        public bool IsInitiator {get;set;}

        /// <summary>
        /// 是否繁忙
        /// </summary>
        /// <value></value>
        public bool IsBusy {get;set;}
        
        /// <summary>
        /// The member status
        /// </summary>
        /// <value></value>
        public LiveConsultationMemberStatus Status {get;set;}
        
        /// <summary>
        /// The login server url
        /// </summary>
        /// <value></value>
        public string LoginServerUrl {get;set;}

        public LoginSource LoginSource {get;set;}

        /// <summary>
        /// The live channel data or the bypass live channel data (for RTC)
        /// </summary>
        /// <value></value>
        public LiveData LiveData {get;set;}

    }    
}
