
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.LiveConsultation
{
    public abstract class LiveConsultationMemberInfo
    {
        /// <summary>
        /// User or device Id
        /// </summary>
        /// <value></value>
        public string Id {get;set;}
        
        /// <summary>
        /// User or device name
        /// </summary>
        /// <value></value>
        public string Name {get;set;}
    }

    
    public class LiveConsultatioAccepterInfo : LiveConsultationMemberInfo
    {
        /// <summary>
        /// Indicates the user or device is online
        /// </summary>
        /// <value></value>
        public bool IsOnline {get;set;}
        
        /// <summary>
        /// Indicates the user or device is mute
        /// </summary>
        /// <value></value>
        public bool Mute {get;set;}                 

        public LoginSource LoginSource {get;set;}

        /// <summary>
        /// The live channel data or the bypass live channel data (for RTC)
        /// </summary>
        /// <value></value>
        public LiveData LiveData {get;set;}

    }

    public class LiveConsultationRejecterInfo : LiveConsultationMemberInfo
    {

    }

    public class LiveConsultationJoinerInfo : LiveConsultationMemberInfo
    {
        /// <summary>
        /// Indicates the user or device is online
        /// </summary>
        /// <value></value>
        public bool IsOnline {get;set;}
        
        /// <summary>
        /// Indicates the user or device is mute
        /// </summary>
        /// <value></value>
        public bool Mute {get;set;}

        /// <summary>
        /// Indicates the user is initiator
        /// </summary>
        /// <value></value>
        public bool IsInitiator {get;set;}
                       
        /// <summary>
        /// The client login source
        /// </summary>
        /// <value></value>        
        public LoginSource LoginSource {get;set;}

        /// <summary>
        /// The live channel data or the bypass live channel data (for RTC)
        /// </summary>
        /// <value></value>
        public LiveData LiveData {get;set;}
    }

    public class LiveConsultationLeaverInfo : LiveConsultationMemberInfo
    {
    }    

    public class LiveConsultationMuterInfo : LiveConsultationMemberInfo
    {
    }    

    public class LiveConsultationSwitcherInfo : LiveConsultationMemberInfo
    {
    }    
}
