using WingInterfaceLibrary.Request;
namespace WingInterfaceLibrary.LiveConsultation
{
    public class MuteLiveConsultationRequest : TokenRequest
    {
        /// <summary>
        /// 会诊编码
        /// </summary>
        /// <value>ConsultationDO_123456789</value>
        public string ConsultationCode { get; set; } = string.Empty;
        
        /// <summary>
        /// The code of who want to change mute state
        /// </summary>
        /// <value></value>
        public string MemberCode {get;set;}

        /// <summary>
        /// 是否静音
        /// </summary>
        /// <value>true or false</value>
        public bool Mute {get;set;}
    }

    public class MuteLiveConsultationResult
    {        
        /// <summary>
        /// 会诊编码
        /// </summary>
        /// <value>ConsultationDO_123456789</value>
        public string ConsultationCode { get; set; } = string.Empty;
    }

    public class MuteLiveConsultationNotification
    {
        /// <summary>
        /// 会诊编码
        /// </summary>
        /// <value>ConsultationDO_123456789</value>
        public string ConsultationCode { get; set; } = string.Empty;
        
        /// <summary>
        /// 是否静音
        /// </summary>
        /// <value>true or false</value>
        public bool Mute {get;set;}
        
        /// <summary>
        /// The info of who reject the diagnosis metting invitation
        /// </summary>
        /// <value></value>
        public LiveConsultationMuterInfo MuterInfo {get;set;}
    }
}
