using WingInterfaceLibrary.Enum.NotificationEnum;
using WingInterfaceLibrary.Request;
namespace WingInterfaceLibrary.LiveConsultation
{
    public class RejectLiveConsultationRequest : TokenRequest
    {
        /// <summary>
        /// 会诊编码
        /// </summary>
        /// <value>ConsultationDO_123456789</value>
        public string ConsultationCode { get; set; } = string.Empty;
    }

    public class RejectLiveConsultationResult
    {        
        /// <summary>
        /// 会诊编码
        /// </summary>
        /// <value>ConsultationDO_123456789</value>
        public string ConsultationCode { get; set; } = string.Empty;
    }

    public class RejectLiveConsultationNotification
    {
        /// <summary>
        /// 通知类型枚举 拒绝会诊的通知
        /// </summary>
        /// <value>27</value>
        public NotificationTypeEnum NotificationType => NotificationTypeEnum.RejectLiveConsultationNotification;
        
        /// <summary>
        /// 会诊编码
        /// </summary>
        /// <value>ConsultationDO_123456789</value>
        public string ConsultationCode { get; set; } = string.Empty;
        
        /// <summary>
        /// The info of who reject the diagnosis metting invitation
        /// </summary>
        /// <value></value>
        public LiveConsultationRejecterInfo Rejecter {get;set;}
    }
}
