using WingInterfaceLibrary.Request;
namespace WingInterfaceLibrary.LiveConsultation
{
    public class SwitchLiveConsultationVideoRequest : TokenRequest
    {
        /// <summary>
        /// 会诊编码
        /// </summary>
        /// <value>ConsultationDO_123456789</value>
        public string ConsultationCode { get; set; } = string.Empty;
        
        /// <summary>
        /// The code of who want to change video opened state
        /// </summary>
        /// <value></value>
        public string MemberCode {get;set;}

        /// <summary>
        /// 是否开启视频
        /// </summary>
        /// <value>true or false</value>
        public bool Opened {get;set;}
    }

    public class SwitchLiveConsultationVideoResult
    {        
        /// <summary>
        /// 会诊编码
        /// </summary>
        /// <value>ConsultationDO_123456789</value>
        public string ConsultationCode { get; set; } = string.Empty;
    }

    public class SwitchLiveConsultationVideoNotification
    {
        /// <summary>
        /// 会诊编码
        /// </summary>
        /// <value>ConsultationDO_123456789</value>
        public string ConsultationCode { get; set; } = string.Empty;
        
        /// <summary>
        /// 是否开启视频
        /// </summary>
        /// <value>true or false</value>
        public bool Opened {get;set;}
        
        /// <summary>
        /// 开关视频人的信息
        /// </summary>
        /// <value></value>
        public LiveConsultationSwitcherInfo SwitcherInfo {get;set;}
    }
}
