using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using WingInterfaceLibrary.Enum.NotificationEnum;

namespace WingInterfaceLibrary.Notifications
{
    /// <summary>
    /// 聊天通知
    /// </summary>
    public class ChatMsgNotification
    {
        /// <summary>
        /// 通知类型枚举 聊天消息通知
        /// </summary>
        /// <value>1</value>
        public NotificationTypeEnum NotificationType => NotificationTypeEnum.ChatMsgNotification;
        /// <summary>
        /// 发送者UserCode
        /// </summary>
        /// <value>UserInfoDO_20220823031843Z816kN</value>
        public string UserCode { get; set; }

        /// <summary>
        /// 发送命令
        /// </summary>
        /// <value>1</value>
        public ChatCmdEnum ChatCmd { get; set; }

        /// <summary>
        /// 发送时间
        /// </summary>
        /// <value></value>
        public DateTime SendTime { get; set; }

        /// <summary>
        /// 发送内容
        /// </summary>
        /// <value>测试文本</value>
        public string Message { get; set; }
    }
}