using System.Collections.Generic;
using WingInterfaceLibrary.Enum;

namespace WingInterfaceLibrary.OpLog
{
    public class SyncReceiveServiceDataRequest
    {
        /// <summary>
        /// 同步数据类型枚举
        /// </summary>
        /// <value></value>
        public SyncTypeEnum SyncType { get; set; }

        /// <summary>
        /// 业务数据json
        /// </summary>
        /// <value></value>
        public string ServiceDataJson { get; set; } = string.Empty;

        /// <summary>
        /// oplogs
        /// </summary>
        /// <typeparam name="OperationLogDTO"></typeparam>
        /// <returns></returns>
        public IList<OperationLogDTO> Oplogs { get; set; } = new List<OperationLogDTO>();

        /// <summary>
        /// 来自哪个服务器
        /// </summary>
        /// <value></value>
        public string SourceUrl { get; set; } = string.Empty;

        /// <summary>
        ///ServerID
        /// </summary>
        /// <value></value>
        public string ServerID { get; set; } = string.Empty;

    }

    public class BaseLiveConsultationJson
    {
        /// <summary>
        /// 房间code
        /// </summary>
        /// <value></value>
        public string RoomCode { get; set; } = string.Empty;

        /// <summary>
        /// 预约记录code
        /// </summary>
        /// <value></value>
        public string ConsultationRecordCode { get; set; } = string.Empty;

        /// <summary>
        /// 操作人
        /// </summary>
        /// <value></value>
        public string OperatorCode { get; set; } = string.Empty;

        /// <summary>
        /// 发起人
        /// </summary>
        /// <value></value>
        public string InitatorCode { get; set; } = string.Empty;
    }

    public class InitiateLiveConsultationJson : BaseLiveConsultationJson
    {

    }

    public class AcceptLiveConsultationJson : BaseLiveConsultationJson
    {

    }

    public class RejectLiveConsultationJson : BaseLiveConsultationJson
    {

    }
}