using System.Collections.Generic;
using WingInterfaceLibrary.Interface;
using WingInterfaceLibrary.DTO.CMSStatistic;
using WingInterfaceLibrary.DB.Request;

namespace WingInterfaceLibrary.Request.DBRequest
{
    /// <summary>
    /// 创建公告请求
    /// </summary>
    public class AddAnnouncementDBRequest:TableDataItem<AnnouncementInfoDTO> 
    {
        
    }

    /// <summary>
    /// 通过用户编码获取公告列表请求
    /// </summary>
    public class GetAnnouncementsDBByUserCodeRequest
    {
        /// <summary>
        /// 用户编码
        /// </summary>
        /// <value></value>
        public string UserCode {get;set;}
    }

    /// <summary>
    /// 通过公告编码获取公告请求
    /// </summary>
    public class GetAnnouncementDBByCodeRequest
    {
        /// <summary>
        /// 编码
        /// </summary>
        /// <value></value>
        public string Code {get;set;}
    }

    /// <summary>
    /// 更新公告请求
    /// </summary>
    public class UpdateAnnouncementDBRequest:TableDataItem<AnnouncementInfoDTO> 
    {
        
    }

    /// <summary>
    /// 获取公告列表
    /// </summary>
    public class GetAnnouncementsDBRequest
    {

    }

}