using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using WingInterfaceLibrary.DB.Request;
using WingInterfaceLibrary.Enum;
using WingInterfaceLibrary.DTO.CMSStatistic;

namespace WingInterfaceLibrary.Request.DBRequest
{
    /// <summary>
    /// 根据用户编码批量更新消息状态
    /// </summary>
    public class UpdateStatisticMessagesStatusDBequest
    {
        /// <summary>
        /// 用户编码
        /// </summary>
        /// <value></value>
        public string UserCode { get; set; }

        /// <summary>
        /// 消息状态
        /// </summary>
        /// <value>UnRead</value>
        public CMSMessageStatusEnum Status { get; set; }
    }

    /// <summary>
    /// 更新
    /// </summary>
    public class UpdateStatisticMessagesDBRequest:TableDataItem<StatisticMessageInfoDTO> 
    {

    }

    /// <summary>
    /// 增加
    /// </summary>
    public class AddStatisticMessagesDBRequest:TableDataItem<StatisticMessageInfoDTO> 
    {

    }

    /// <summary>
    /// 通过UserCode获取消息列表
    /// </summary>
    public class GetStatisticMessagesDBByUserCodePageRequest:PageFilterRequest
    {
        /// <summary>
        /// 用户编码
        /// </summary>
        /// <value></value>
        public string UserCode { get; set; }

        /// <summary>
        /// 查询消息状态
        /// </summary>
        /// <value></value>
        public QueryCMSMessageStatusEnum Status { get; set; }

        /// <summary>
        /// 关键字
        /// </summary>
        /// <value></value>
        public string Keyword { get; set; }


    }
}