using System.Collections.Generic;
using WingInterfaceLibrary.DTO.Common;
using WingInterfaceLibrary.DTO.Record;

namespace WingInterfaceLibrary.Request.Examine
{
    /// <summary>
    /// 机器端创建检查请求实体
    /// </summary>
    public class CreateExaminfoRequest : TokenRequest
    {
        /// <summary>
        /// 类型
        /// </summary>
        /// <value>Person、Animals</value>
        /// <code>0</code>
        public string PatientType { get; set; }

        /// <summary>
        /// 预约code
        /// </summary>
        /// <value>预约记录code</value>
        /// <code>0</code>
        public string ReservationCode { get; set; }

        /// <summary>
        /// 病人信息
        /// </summary>
        /// <value></value>
        public List<DataItemDTO> PatientInfo { get; set; }

        /// <summary>
        /// 病人检查信息列表
        /// </summary>
        /// <value></value>
        /// <code>0</code>
        public List<PatientInfoExt> PatientScanInfoList { get; set; }

    }


}