using System.Collections.Generic;

namespace WingInterfaceLibrary.Result.Languge
{
    /// <summary>
    /// 服务器配置返回实体
    /// /// </summary>
    public class ServerSettingResult
    {
        /// <summary>
        /// server支持语言
        /// </summary>
        /// <value></value>
        public List<ServerLangugeClass> ServerLangugeList { get; set; } = new List<ServerLangugeClass>();

        /// <summary>
        /// server配置信息
        /// </summary>
        /// <typeparam name="string">HeartRateSeconds</typeparam>
        /// <typeparam name="string">300</typeparam>
        /// <returns></returns>
        public Dictionary<string, string> ServerConfigList { get; set; } = new Dictionary<string, string>();
    }

    /// <summary>
    /// server支持语言明细
    /// </summary>
    public class ServerLangugeClass
    {
        /// <summary>
        /// 语言key
        /// </summary>
        /// <value></value>
        public string LangugeKey { get; set; }

        /// <summary>
        /// 语言配置模块
        /// </summary>
        /// <value></value>
        public List<string> LangugeModules { get; set; } = new List<string>();
    }

    /// <summary>
    /// 语言配置列表返回实体
    /// </summary>
    public class LangugeDataResult
    {
        /// <summary>
        /// 版本
        /// </summary>
        /// <value></value>
        public string Version { get; set; }

        /// <summary>
        /// 内容
        /// </summary>
        /// <value></value>
        public string Content { get; set; }

        /// <summary>
        /// 语言配置模块
        /// </summary>
        /// <value></value>
        public string LangugeModule { get; set; }
    }
}