using System.Threading.Tasks;

namespace WingInterfaceLibrary.Rtc
{
    public interface IWingRtcService
    {
        /// <summary>
        ///获取roomID
        /// </summary>
        /// <param name="request"></param>
        /// <returns>roomID</returns>
        /// <show>false</show>
        Task<GetRoomIdResult> GetRoomIdAsync(GetRoomIdRequest request);
        /// <summary>
        /// 获取roomUrl
        /// </summary>
        /// <param name="request"></param>
        /// <returns>url</returns>
        /// <show>false</show>
        Task<GenerateRoomUrlResult> GenerateRoomUrlAsync(GenerateRoomUrlRequest request);
        /// <summary>
        /// 获取rtc配置
        /// </summary>
        /// <param name="request"></param>
        /// <returns>rtc配置</returns>
        /// <show>false</show>
        Task<GetRtcSettingResult> GetRtcSettingAsync(GetRtcSettingRequest request);
        /// <summary>
        /// 获取UserSign
        /// </summary>
        /// <param name="request"></param>
        /// <returns></returns>
        /// <show>false</show>
        Task<GetUserSignResult> GetUserSignAsync(GetUserSignRequest request);
    }
}